Package org.opensaml.xacml.ctx

# Interface ResultType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `ResultTypeImpl`

public interface ResultType extends XACMLObject
XACML context Result schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`RESOURCE_ID_ATTTRIB_NAME`
ResourceId attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`DecisionType`
`getDecision()`
Returns the decision in the result.
`ObligationsType`
`getObligations()`
Returns the list of Obligations in the result.
`String`
`getResourceId()`
Gets the ResourceId of the result.
`StatusType`
`getStatus()`
Returns the status in the result.
`void`
`setDecision(DecisionType newDecision)`
Sets the decision in the result.
`void`
`setObligations(ObligationsType obligations)`
Sets the obligations for this result.
`void`
`setResourceId(String resourceId)`
Sets the ResourceId.
`void`
`setStatus(StatusType status)`
Sets the result status.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

static final QName TYPE_NAME
QName of the XSI type.

### RESOURCE_ID_ATTTRIB_NAME

static final String RESOURCE_ID_ATTTRIB_NAME
ResourceId attribute name.

See Also:
  - Constant Field Values

## Method Details

### getDecision

DecisionType getDecision()
Returns the decision in the result.

Returns:
  XACMLDecision the decision in the result

### getObligations

ObligationsType getObligations()
Returns the list of Obligations in the result.

Returns:
  the list of Obligations in the result

### setObligations

void setObligations(ObligationsType obligations)
Sets the obligations for this result.

Parameters:
  `obligations` - obligations for this result

### getResourceId

String getResourceId()
Gets the ResourceId of the result.

Returns:
  The ResourceId of the subject

### getStatus

StatusType getStatus()
Returns the status in the result.

Returns:
  the status in the result

### setStatus

void setStatus(StatusType status)
Sets the result status.

Parameters:
  `status` - result status

### setDecision

void setDecision(DecisionType newDecision)
Sets the decision in the result.

Parameters:
  `newDecision` - The decision in the result

### setResourceId

void setResourceId(String resourceId)
Sets the ResourceId.

Parameters:
  `resourceId` - is the ResourceId